---
title: XRReferenceSpaceEvent.referenceSpace
slug: Web/API/XRReferenceSpaceEvent/referenceSpace
tags:
  - API
  - AR
  - Mixed
  - Reality
  - Reference
  - Reference Space
  - VR
  - Virtual
  - WebXR
  - WebXR API
  - WebXR Device API
  - XR
  - XRReferenceSpaceEvent
  - augmented
  - events
  - referenceSpace
  - source
---
<p>{{APIRef("WebXR Device API")}}{{SecureContext_header}}</p>

<p>The read-only {{domxref("XRReferenceSpaceEvent")}} property <code><strong>referenceSpace</strong></code> specifies the reference space which is the originator of the event.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">let <em>refSpace</em> = <em>xrReferenceSpaceEvent</em>.referenceSpace;</pre>

<h3 id="Value">Value</h3>

<p>An {{domxref("XRReferenceSpace")}} indicating the source of the event.</p>

<h2 id="Examples">Examples</h2>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebXR','#dom-xrreferencespaceevent-referencespace','XRReferenceSpaceEvent.referenceSpace')}}</td>
   <td>{{Spec2('WebXR')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">
<p>The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>
</div>

<p>{{Compat("api.XRReferenceSpaceEvent.referenceSpace")}}</p>
